import Signal from "../../../core/events/signal/Signal";

export class InputDeviceSwitch {
    readonly up: Signal
    readonly down: Signal
    readonly is_down: boolean
    readonly is_up: boolean

    press():void
    release():void
}
